View Issue Details

IDProjectCategoryView StatusLast Update
0012406MediaMonkey (current)Synchronizationpublic2017-03-13 11:36
Reporterlowlander 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.2.5 
Target Version4.1.13Fixed in Version4.1.15 
Summary0012406: Auto-Sync: Artwork isn't updated for already synced files
DescriptionMediaMonkey has always synced artwork only on file copy and not on any subsequent auto-sync (unlike all the others track/file metadata).

Workaroud is to select the files manually and use right-click -> Send to -> [Device]

We should review this behavior especially because of the automated artwork lookup functionality where users expect to have their artworks in sync.

This needs to be implemented bidirectionally (because artwork can be looked up also in MMA)
Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=80421#p405877
RRH-737-21678
TagsNo tags attached.
Fixed in build1823

Relationships

parent of 0013374 closedLudek MediaMonkey (current) Rescan is slow in 4.1.13 
has duplicate 0013046 closedLudek MediaMonkey (current) MMW doesn't update lost artworks during sync 
related to 0013052 closedmarek MediaMonkey for Android Corrupted Artwork doesn't update on sync 
related to 0013379 closedLudek MediaMonkey (current) Track may re-sync needlessly when build 4.1.13.1799 was used and track folders were re-scaned 
related to 0013542 feedbackmarek MediaMonkey (current) Artwork isn't synced bidirectionally 
related to 0013720 closedLudek MediaMonkey (current) Wi-Fi Sync: Updated Album Art is not synced even track is synced 
related to 0013646 closedmarek MediaMonkey for Android Artworks aren't updated from MMW during wifi sync 
related to 0013911 closedLudek MediaMonkey (current) Tracks including % char in device filename can fail to auto-sync 
related to 0013922 closedmarek MediaMonkey for Android Tracks faill to sync after upgrading from 1.2 to 1.3.664 (regression) 
related to 0014092 closedLudek MediaMonkey (current) Sync: Album Art isn't updated when album is named 

Activities

Ludek

2016-01-04 19:56

developer   ~0043787

Last edited: 2016-01-04 19:57

View 3 revisions

Related to 0013046

For performance reasons MMW can hardly traverse all content over MTP to find which artwork is missing, but for devices with MMA installed we could implement it.
Marek indicated that MMA already has a service that empties mmstore.db.media.album_art values for lost artworks. Based on this we can quickly find which artwork needs to be (re)synced.

Ludek

2016-01-25 10:41

developer   ~0043965

Marek implemented this for MMA 1.1.4 , so moving target outside of 4.1.11

Ludek

2016-06-09 10:16

developer   ~0044901

Last edited: 2016-06-09 14:44

View 7 revisions

Moving target to 4.1.13 to implement this:

A) for the lost artworks in MMA (based on mmstore.db.media.album_art) -- tracked as 0013046
B) for the [Library --> Device] sync (all devices including iPhones etc) -- technically it should be about adding a new mm.db.songs.artworkModified timestamp field based on which we can decide whether artwork file (or track file) needs to be re-uploaded or not.

peke

2016-06-09 11:34

developer   ~0044905

I wonder why on some files work, I also found that Rating is not Written to tags on Sync which should be good if user uninstall and reinstall MMA where Tracks are Paired correctly and Ratings are reuploaded to MMA DB but not on Initial Scan after reinstall.

Ludek

2016-06-09 13:37

developer   ~0044907

Last edited: 2016-06-09 14:46

View 5 revisions

Item A) is tracked as 0013046

Item B) implemented in build 4.1.13.1799

i.e.
-- USB sync updates the artwork modified in MMW for all device types (including iPods, iPhones, USB memory sticks).
-- for WiFi sync I added new XML element <upnp:MM_ArtworkModified> , i.e. for MMA to know the timestamp

Ludek

2016-06-20 13:44

developer   ~0045005

Some test notes:

-- for WiFi sync it is TODO for future MMA versions (it is just "prepared" in MMW)
-- for USB sync it should work for all device types, test case:
1) auto-sync a track to device
2) Change the artwork image e.g. via Properties -> Artwork tab
3) run auto-sync again and verify that the new artwork is shown (and copied) to the device

peke

2016-06-20 13:54

developer   ~0045006

Verified USB Sync in 1800

Ludek

2016-09-22 09:59

developer   ~0045737

Note that bi-di artwork sync is tracked as 0013542

marek

2017-01-10 15:08

developer   ~0046892

I have implemented this to MMA but the artwork still isn't updated in MMW.

1. I changed the artwork in MMW by adding another artwork and moving it to first place in list of artworks. The artwork has been updated in MMW.
2. I started Wifi sync
3. The track was on sync list with new upnp:MM_ArtworkModified timestamp.
4. Artwork was downloaded
5. It was still the same old artwork. I have verified this by browsing the URL of the artwork.

Ludek

2017-01-10 16:03

developer   ~0046894

Last edited: 2017-01-10 20:58

View 2 revisions

Did you test 4.1.15.1819 or higher?
There was a bug with the image cache not cleared: 0013720:0046454 prior this build.

The newest 4.1.15 builds are still in beta testing, available here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=54426&sid=6a670e3f0b9bfa11da5b84d7b3b98633&start=300#p430470

marek

2017-01-11 07:56

developer   ~0046904

Sure, I have tested it with 4.1.15.1821

Ludek

2017-01-11 11:28

developer   ~0046905

Last edited: 2017-01-11 11:33

View 3 revisions

I found that (in case of Wi-Fi sync / UPnP) the artwork of another track on the album could be served.
=> Fixed in 4.1.15.1823

To be confirmed that Marek tested the way not applying the artwork changes to whole album/series and another track on the album (with the old artwork still existed)

Ludek

2017-01-11 16:53

developer   ~0046911

The fix confirmed by Marek via IM (I've sent him testing EXE)

peke

2017-01-11 22:00

developer   ~0046913

Verified 1823